Bug 1314599 - Changes Occur When Canceled
Changes Occur When Canceled
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
23
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 21:35 EST by gatlibs
Modified: 2016-03-18 22:24 EDT (History)
5 users (show)

See Also:
Fixed In Version: libreoffice-5.0.4.2-4.fc23 libreoffice-5.0.5.2-4.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 08:26:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Document Foundation 98399 None None None 2016-03-03 23:03 EST

  None (edit)
Description gatlibs 2016-03-03 21:35:21 EST
Description of problem:
Changes to images still occur when cancelled in at least one scenario.

Version-Release number of selected component (if applicable):
Build ID 5.0.5.2-2.fc23 in LibreOffice Writer

How reproducible:
Consistent

Steps to Reproduce:
Right-click on an image. Select "Format Image...". Select "Crop". Change the image by adding to the width or clicking "Original Size". Click any other tab, e.g. "Borders". Click "Cancel". Watch for the changes to happen that were supposed to have been canceled.

Actual results:
The image changes according to the retained edits of cropping.

Expected results:
The canceled edits would not be applied.

Additional info:
I will report upstream once someone confirms that this is an upstream bug.
Comment 1 gatlibs 2016-03-03 22:18:07 EST
I have confirmed the same functionality on OS X (El Capitan 10.11.3) with LibreOffice 5.1.0.3 (Build ID: 5e3e00a007d9b3b6efb6797a8b8e57b51ab1f737).
Comment 2 gatlibs 2016-03-03 23:17:07 EST
I have confirmed this issue on LibreOffice 4.3.0.4 with Windows Vista Service Pack 2. Also, the following still produces the bug.

Right-click an image. Click "Format Image". Click "Crop" Change the image's size. Click another tab, e.g. "Image". Click "Crop" to return. Click "Reset". Click "Cancel". The values will still be reset, but the changes will still occur.
Comment 3 Fedora Update System 2016-03-07 05:02:06 EST
libreoffice-5.0.5.2-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d3c3f1921
Comment 4 Fedora Update System 2016-03-09 17:57:29 EST
libreoffice-5.0.5.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d3c3f1921
Comment 5 Fedora Update System 2016-03-11 08:26:02 EST
libreoffice-5.0.5.2-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 gatlibs 2016-03-18 22:24:32 EDT
I have confirmed that this bug no longer exits in libreoffice-writer.x86_64 1:5.0.5.2-6.fc23.

Note You need to log in before you can comment on or make changes to this bug.